#version 120
varying vec2 uv;

uniform sampler2D u;    // input velocity
uniform vec2 bodyForce;
uniform float timestep;

void main() {
	gl_FragColor = texture2D(u, uv) + vec4(bodyForce, 0, 0) * timestep;
}